<?php
  $yhendus0=false;
  function kysiYhendus(){
     global $yhendus0;
     if(!$yhendus0){
        $yhendus0=new mysqli("localhost", "poodnik", "12345", "poebaas");
     }
     return $yhendus0;
  }
  
  function lisaKasutaja($kasutajanimi, $parool){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("INSERT INTO haldurid (kasutajanimi, parool)
                              VALUES (?, ?)");
     $paroolirasi=md5($parool);
     $kask->bind_param("ss", $kasutajanimi, $paroolirasi);
     $kask->execute();
     return $yhendus->error;
  }
  
  function kysiKasutajad(){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("SELECT id, kasutajanimi FROM haldurid");
     $kask->bind_result($id, $knimi);
     $hoidla=array();
     $kask->execute();
     while($kask->fetch()){
        $k=array();
        $k["id"]=$id;
        $k["kasutajanimi"]=$knimi;
        array_push($hoidla, $k);
     }
     return $hoidla;
  }
  
  function kysiKasutaja($id){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("SELECT id, kasutajanimi FROM haldurid WHERE id=?");
     $kask->bind_param("i", $id);
     $kask->bind_result($id, $knimi);
     $kask->execute();
     $k=array();
     if($kask->fetch()){
       $k[id]=$id;
       $k[kasutajanimi]=$knimi;
     }
     $kask->close();
     return $k;
  }
  
  function kasutajaKontroll($kasutajanimi, $parool){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("SELECT id FROM haldurid 
                     WHERE kasutajanimi=? AND parool=?");
     $rasi=md5($parool);
     $kask->bind_param("ss", $kasutajanimi, $rasi);
     $kask->execute();
     $leitud=false;
     if($kask->fetch()){
       $leitud=true;
     }
     $kask->close();
     return $leitud;
  }
  
  function muudaParool($id, $uusparool){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("UPDATE haldurid SET parool=? WHERE id=?");
     $rasi=md5($uusparool);
     $kask->bind_param("si", $rasi, $id);
     $kask->execute();
//     echo $yhendus->error;
     $kogus=$kask->affected_rows;
     $kask->close();
     return $kogus;
  }
  
  /*
  *  Funktsiooni parameetriks kustutatavate kasutajate
  *  id-de massiiv.
  */
  
  function kasutajateKustutus($idm){
     $yhendus=kysiYhendus();
     $kask=$yhendus->prepare("DELETE FROM haldurid WHERE id=?");
     foreach($idm as $id){
       $kask->bind_param("i", $id);
       $kask->execute();
     }
     $kask->close();
  }
  
  //print_r(kysiKasutaja(2));
  //print muudaParool(1, "kala2"); 
/*
  if(kasutajaKontroll("siim", "kala2")){
    print("olemas");
  } else {
    print("pole");
  }
*/
?>